# #The scripts of  ”Does social information affect the settlement decisions of resident birds in their second breeding attempt? A case study of the Japanese tit (*Parus minor*\)“


library(survival)
library(lme4)
library(car)


> df1<-read.csv("E:/60pairs.csv",header=TRUE,encoding="UTF-8")

> A1<-with(df1,{data.frame(yes=as.numeric(yes),strata=factor(strata),breeding conspecific nests,breeding heterospecific nests,first breeding successful conspecific nests,first breeding failed nests of conspecifics,successful heterospecific nests,failed nests of heterospecific)})

> df_global_mode1<-clogit(yes~breeding conspecific nests+breeding heterospecific nest+first breeding successful conspecific nests+first breeding failed nests of conspecifics+successful heterospecific nests+failed nests of heterospecific+strata(strata),data=A1)

> anova(df_global_model1)
>
> Analysis of Deviance Table
>  Cox model: response is Surv(rep(1, 120L), yes)
> Terms added sequentially (first to last)

​                                                                                  loglik   Chisq Df Pr(>|Chi|)    

NULL                                                                     -41.589                          
breeding conspecific nests                               -39.260  4.6577  1  0.0309145 *  
breeding heterospecific nest                            -38.297  1.9262  1  0.1651786    
first breeding successful conspecific nests    -32.438 11.7176  1  0.0006191 ***
first breeding failed nests of conspecifics      -30.235  4.4060  1  0.0358128 *  
successful heterospecific nests                        -28.738  2.9937  1  0.0835876 .  

failed nests of heterospecific    -28.682  0.1117  1  0.7382274    

Signif. codes:  0 ‘’ 0.001 ‘’ 0.01 ‘’ 0.05 ‘.’ 0.1 ‘ ’ 1







df2<-read.csv("E:/161 pairs.csv",header=TRUE,encoding="UTF-8")
A2<-with(df2,{data.frame(yes,strata=factor(strata),breeding conspecific nests,breeding heterospecific nests,first breeding successful conspecific nests,first breeding failed nests of conspecifics,successful heterospecific nests,failed nests of heterospecific)})
df_global_model2<-clogit(yes~breeding conspecific nests+breeding heterospecific nest+first breeding successful conspecific nests+first breeding failed nests of conspecifics+successful heterospecific nests+failed nests of heterospecific+strata(strata),data=A2)

> anova(df_global_model1)
>
> Analysis of Deviance Table
>  Cox model: response is Surv(rep(1, 322L), yes)
> Terms added sequentially (first to last)

​                                                                                  loglik   Chisq Df Pr(>|Chi|)    

NULL                                                                        -111.597                          
breeding conspecific nests                                  -109.706  3.7808  1  0.0518445 .  
breeding heterospecific nest                               -108.534  2.3442  1  0.1257540    
first breeding successful conspecific nests        -105.731  5.6074  1  0.0178847 *  
first breeding failed nests of conspecifics           -104.646  2.1681  1  0.1408979    
successful heterospecific nests                             -97.581 14.1306  1  0.0001705 ***

failed nests of heterospecific                                -96.095  2.9721  1  0.0847137 .  

Signif. codes:  0 ‘’ 0.001 ‘’ 0.01 ‘’ 0.05 ‘.’ 0.1 ‘ ’ 1
 > 
